RE: На сайте возникли технические проблемы

AdmiraПро WordPressLeave a Comment

RE: На сайте возникли технические проблемы

Начиная с некоторой достаточно свежей версии WordPress теперь обновляется автоматически.
Хорошая практика — просто приходит сообщение на почту «Ваш WordPress обновился до версии 5.2.3»

Однако при этом могут возникнуть проблемы, потому что это обновление совершенно не касается плагинов. А там возникают ошибки, которые могут заблокировать работу сайта.

Ладно, не сайта — но админки точно. Так и случилось — не смогла войти в админку https://cat-story.ru/ . Снаружи сайт работал, как ни в чем ни бывало, но в админку не пустил — «На сайте возникли технические проблемы, проверьте вашу почту».

В почте сообщили, Что начиная с версии 5.2 WordPress может определять возникающие ошибки с плагинами или темой на сайте и присылать вам подобные сообщения автоматически.

Он даже их диагностирует: «В этот раз WordPress нашел ошибку с одним из плагинов — Slider Revolution.» (который у меня стоял, но я его не использовала в текущей теме Вордпресса)

Режим восстановления

Но самое интересное было дальше — совсем по аналогии с загрузкой Винды, теперь и в ВордПрессе есть режим восстановления.

Если ваш сайт сломан и вы не сможете нормально войти в консоль, теперь можно использовать специальный «режим восстановления», который позволит безопасно войти в консоль для дальнейших действий.
https://cat-story.ru/wp-login.php?action=enter_recovery_mode&rm_token=…
В целях безопасности действие этой ссылки истекает через 1 день. Но не беспокойтесь, если ошибка возникнет снова по истечении этого времени, то вам будет выслана новая ссылка.

Перезагрузки, как в Винде, после восстановительных работ не потребовалась. После удаления кривого плагина можно просто выйти из этого режима.

RE: На сайте возникли технические проблемы

Версия PHP

Кстати, и версию PHP, установленную на хостинге, свежий ВордПресс тоже отслеживает. При этом он не блокирует вход в админку byt шлет ежедневно письма о проблемах. Но на самом сайте в админке отчаянно верещит, что требуется обновление PHP

RE: На сайте возникли технические проблемы

Похоже, теперь WordPress полностью следит за мной… Большой Брат.

На сегодня нормально работает версия PHP 7.1

P.S. А вообще к чему это я?
Нужно удалять плагины, которыми не пользуетесь :)

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *